package electrosphere.game.data.creature.type;

import electrosphere.entity.types.hitbox.HitboxData;
import java.util.List;

public class CreatureType {
    String name;
    List<BodyPart> bodyParts;
    List<HitboxData> hitboxes;
    List<String> tokens;
    List<MovementSystem> movementSystems;
    CollidableTemplate collidable;
    List<AttackMove> attackMoves;
    HealthSystem healthSystem;
    String modelPath;

    public String getName() {
        return name;
    }

    public List<BodyPart> getBodyParts() {
        return bodyParts;
    }

    public List<HitboxData> getHitboxes() {
        return hitboxes;
    }

    public List<String> getTokens() {
        return tokens;
    }

    public String getModelPath() {
        return modelPath;
    }

    public List<MovementSystem> getMovementSystems() {
        return movementSystems;
    }

    public List<AttackMove> getAttackMoves() {
        return attackMoves;
    }

    public HealthSystem getHealthSystem() {
        return healthSystem;
    }

    public CollidableTemplate getCollidable() {
        return collidable;
    }
    
    
    
    
}
